Add a bad-case test for the key generation.
[libgcrypt.git] / README
diff --git a/README b/README
index 8e75e40..6807bd4 100644 (file)
--- a/README
+++ b/README
@@ -1,8 +1,10 @@
-                   libgcrypt - The GNU crypto library
+                   Libgcrypt - The GNU Crypto Library
                   ------------------------------------
-                           Version 1.4.0
+                            Version 1.4.2
 
-    Copyright 2000, 2002, 2003, 2004, 2007 Free Software Foundation, Inc.
+    Copyright 2000, 2002, 2003, 2004, 2007,
+              2008 Free Software Foundation, Inc.
 
     This file is free software; as a special exception the author gives
     unlimited permission to copy and/or distribute it, with or without
                       auto - Compile linux, egd and unix in and 
                              automagically select at runtime.
   
+     --enable-hmac-binary-check
+                     Include support to check the binary at runtime
+                     against a HMAC checksum.  This works only in FIPS
+                     mode and on systems providing the dladdr function.
+
      --disable-padlock-support
                      Disable support for the PadLock engine of VIA
                      processors.  The default is to use PadLock if
                      available.  Try this if you get problems with
                      assembler code.
 
+       
 
 
     License
     
     The library is distributed under the terms of the GNU Lesser
     General Public License (LGPL); see the file COPYING.LIB for the
-    actual terms.  The helper programs (gcryptrnd and getrandom) as
-    well as the documentation are distributed under the terms of the
-    GNU General Public License (GPL); see the file COPYING for teh
+    actual terms.  The helper programs (e.g. gcryptrnd and getrandom)
+    as well as the documentation are distributed under the terms of
+    the GNU General Public License (GPL); see the file COPYING for the
     actual terms.
 
     This library used to be available under the GPL - this was changed